Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class MidiInstrumentMapInfo

    java.lang.Object
      org.linuxsampler.lscp.MidiInstrumentMapInfo

    public class MidiInstrumentMapInfo

extends java.lang.Object

Represents a MIDI instrument map used for mapping instruments to corresponding MIDI bank select and MIDI program change messages.

Constructor Summary
`MidiInstrumentMapInfo(int mapId, java.lang.String name)` Creates a new instance of `MidiInstrumentMapInfo` with the specified name and map ID.
`MidiInstrumentMapInfo(int mapId, java.lang.String name, boolean defaultMap)` Creates a new instance of `MidiInstrumentMapInfo`.

Method Summary
`int` | `getMapId()`
`java.lang.String` | `getName()` Gets the name of this MIDI instrument map.
`boolean` | `isDefault()` Determines whether this map is the default map.
`void` | `setName(java.lang.String name)` Sets the name of this MIDI instrument map.
`java.lang.String` | `toString()` Returns the name of this map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiInstrumentMapInfo

    public MidiInstrumentMapInfo(int mapId,
                                 java.lang.String name)

  Creates a new instance of `MidiInstrumentMapInfo` with the specified name and map ID.

  Parameters:
    `mapId` - Specifies the ID of the map.
    `name` - Specifies the name of the map.

### MidiInstrumentMapInfo

    public MidiInstrumentMapInfo(int mapId,
                                 java.lang.String name,
                                 boolean defaultMap)

  Creates a new instance of `MidiInstrumentMapInfo`.

  Parameters:
    `mapId` - Specifies the ID of the map.
    `name` - Specifies the name of the map.
    `defaultMap` - Specifies whether this is the default map.

Method Detail

### getMapId

    public int getMapId()

### getName

    public java.lang.String getName()

  Gets the name of this MIDI instrument map.

  Returns:
    The name of this MIDI instrument map.

### setName

    public void setName(java.lang.String name)

  Sets the name of this MIDI instrument map.

  Parameters:
    `name` - The new name of this MIDI instrument map.

### isDefault

    public boolean isDefault()

  Determines whether this map is the default map.

  Returns:
    `true` if this is the default map, `false` otherwise.

### toString

    public java.lang.String toString()

  Returns the name of this map.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The name of this map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.